curl -X GET 'https://crypto-api.yativo.com/api/swap/routes' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"status": "success",
"message": "Swap routes retrieved successfully",
"data": [
{
"from_chain": "solana",
"from_ticker": "USDC_SOL",
"to_chain": "ethereum",
"to_ticker": "USDC_ETH",
"min_amount": "10.00",
"max_amount": "100000.00",
"estimated_time_seconds": 60
},
{
"from_chain": "ethereum",
"from_ticker": "ETH",
"to_chain": "solana",
"to_ticker": "SOL",
"min_amount": "0.01",
"max_amount": "500.00",
"estimated_time_seconds": 120
},
{
"from_chain": "ethereum",
"from_ticker": "USDC_ETH",
"to_chain": "polygon",
"to_ticker": "USDC_MATIC",
"min_amount": "10.00",
"max_amount": "50000.00",
"estimated_time_seconds": 30
}
]
}
Retrieve all available swap routes between assets and chains
curl -X GET 'https://crypto-api.yativo.com/api/swap/routes' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"status": "success",
"message": "Swap routes retrieved successfully",
"data": [
{
"from_chain": "solana",
"from_ticker": "USDC_SOL",
"to_chain": "ethereum",
"to_ticker": "USDC_ETH",
"min_amount": "10.00",
"max_amount": "100000.00",
"estimated_time_seconds": 60
},
{
"from_chain": "ethereum",
"from_ticker": "ETH",
"to_chain": "solana",
"to_ticker": "SOL",
"min_amount": "0.01",
"max_amount": "500.00",
"estimated_time_seconds": 120
},
{
"from_chain": "ethereum",
"from_ticker": "USDC_ETH",
"to_chain": "polygon",
"to_ticker": "USDC_MATIC",
"min_amount": "10.00",
"max_amount": "50000.00",
"estimated_time_seconds": 30
}
]
}
Bearer YOUR_ACCESS_TOKENcurl -X GET 'https://crypto-api.yativo.com/api/swap/routes' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"status": "success",
"message": "Swap routes retrieved successfully",
"data": [
{
"from_chain": "solana",
"from_ticker": "USDC_SOL",
"to_chain": "ethereum",
"to_ticker": "USDC_ETH",
"min_amount": "10.00",
"max_amount": "100000.00",
"estimated_time_seconds": 60
},
{
"from_chain": "ethereum",
"from_ticker": "ETH",
"to_chain": "solana",
"to_ticker": "SOL",
"min_amount": "0.01",
"max_amount": "500.00",
"estimated_time_seconds": 120
},
{
"from_chain": "ethereum",
"from_ticker": "USDC_ETH",
"to_chain": "polygon",
"to_ticker": "USDC_MATIC",
"min_amount": "10.00",
"max_amount": "50000.00",
"estimated_time_seconds": 30
}
]
}